# Get Inventory Levels Grouped By Fulfillment Center GET https://api.shipbob.com/Experimental/inventory-levels/{inventoryId}/locations Reference: https://developer.shipbob.com/experimental/api/inventories/get-inventory-levels-grouped-by-fulfillment-center ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: |2 Get Inventory Levels Grouped By Fulfillment Center version: endpoint_inventories.getInventoryLevelsGroupedByFulfillmentCenter paths: /Experimental/inventory-levels/{inventoryId}/locations: get: operationId: get-inventory-levels-grouped-by-fulfillment-center summary: |2 Get Inventory Levels Grouped By Fulfillment Center tags: - - subpackage_inventories parameters: - name: inventoryId in: path description: '' required: true schema: type: string format: int32 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/Inventory.InventoryQuantityFcResponse' '400': description: Bad Request content: {} '401': description: Unauthorized content: {} '403': description: Forbidden content: {} '404': description: Not Found content: {} '500': description: Internal Server Error content: {} '503': description: Service Unavailable content: {} components: schemas: Inventory.FulfillmentCenterResponse: type: object properties: awaiting_quantity: type: integer committed_quantity: type: integer fulfillable_quantity: type: integer internal_transfer_quantity: type: integer location_id: type: integer name: type: - string - 'null' on_hand_quantity: type: integer Inventory.InventoryQuantityFcResponse: type: object properties: inventory_id: type: integer locations: type: - array - 'null' items: $ref: '#/components/schemas/Inventory.FulfillmentCenterResponse' name: type: - string - 'null' sku: type: - string - 'null' ``` ## SDK Code Examples ```python Inventories_getInventoryLevelsGroupedByFulfillmentCenter_example import requests url = "https://api.shipbob.com/Experimental/inventory-levels/inventoryId/locations" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Inventories_getInventoryLevelsGroupedByFulfillmentCenter_example const url = 'https://api.shipbob.com/Experimental/inventory-levels/inventoryId/locations'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Inventories_getInventoryLevelsGroupedByFulfillmentCenter_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/Experimental/inventory-levels/inventoryId/locations" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Inventories_getInventoryLevelsGroupedByFulfillmentCenter_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/Experimental/inventory-levels/inventoryId/locations") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Inventories_getInventoryLevelsGroupedByFulfillmentCenter_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/Experimental/inventory-levels/inventoryId/locations") .header("Authorization", "Bearer ") .asString(); ``` ```php Inventories_getInventoryLevelsGroupedByFulfillmentCenter_example request('GET', 'https://api.shipbob.com/Experimental/inventory-levels/inventoryId/locations', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Inventories_getInventoryLevelsGroupedByFulfillmentCenter_example using RestSharp; var client = new RestClient("https://api.shipbob.com/Experimental/inventory-levels/inventoryId/locations"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Inventories_getInventoryLevelsGroupedByFulfillmentCenter_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/Experimental/inventory-levels/inventoryId/locations")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```